Lucene search

K
cvelistApacheCVELIST:CVE-2018-8014
HistoryMay 16, 2018 - 4:00 p.m.

CVE-2018-8014

2018-05-1616:00:00
apache
www.cve.org
4

AI Score

8.7

Confidence

High

EPSS

0.052

Percentile

93.1%

The defaults settings for the CORS filter provided in Apache Tomcat 9.0.0.M1 to 9.0.8, 8.5.0 to 8.5.31, 8.0.0.RC1 to 8.0.52, 7.0.41 to 7.0.88 are insecure and enable β€˜supportsCredentials’ for all origins. It is expected that users of the CORS filter will have configured it appropriately for their environment rather than using it in the default configuration. Therefore, it is expected that most users will not be impacted by this issue.

CNA Affected

[
  {
    "product": "Apache Tomcat",
    "vendor": "Apache Software Foundation",
    "versions": [
      {
        "status": "affected",
        "version": "9.0.0.M1 to 9.0.8"
      },
      {
        "status": "affected",
        "version": "8.5.0 to 8.5.31"
      },
      {
        "status": "affected",
        "version": "8.0.0.RC1 to 8.0.52"
      },
      {
        "status": "affected",
        "version": "7.0.41 to 7.0.88"
      }
    ]
  }
]

References